<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="swaggerwcf" type="SwaggerWcf.Configuration.SwaggerWcfSection, SwaggerWcf" />
    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <section name="TrexEntegrasyon.WinSvc.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <swaggerwcf>
    <tags>
      <tag name="LowPerformance" visible="false" />
    </tags>
    <settings>
      <setting name="InfoDescription" value="Sysmond TDS Entegrasyon Servisi&#13;&#10; &#13;&#10;Tarih Alanları [gg.aa.yyyy] fromatında gönderilmedir. &#13;&#10;companyid (Şirket Id) ve cperiodid (Dönem Id) varsayılan alınması istenirse hiç gönderilmez yada 0 (sıfır) bırakılabilir" />
      <setting name="InfoVersion" value="2.0.1" />
      <setting name="InfoTermsOfService" value="https://sysmond.com.tr" />
      <setting name="InfoTitle" value="TDSEntegrasyon" />
      <setting name="InfoContactName" value="sysmond.com.tr" />
      <setting name="InfoContactUrl" value="https://sysmond.com.tr" />
      <setting name="InfoContactEmail" value="info@sysmond.com.tr" />
      <setting name="InfoLicenseUrl" value="https://sysmond.com.tr" />
      <setting name="InfoLicenseName" value="https://sysmond.com.tr" />
    </settings>
  </swaggerwcf>

  <appSettings>
    <add key="TrexSqlServer" value="AUYSALPC\SQLEXPRESS" />
    <add key="TrexDataBase" value="SYSMONDRIVO" />
    <add key="TrexSqlUser" value="sa" />
    <add key="TrexSqlPass" value="321" />
    <add key="CompanyId" value="11" />
    <add key="CPeriod" value="12" />
    <add key="VDEPOTID" value="0" />
    <add key="TdsProgramPath" value="C:\Sysmond\Program\" />
    <add key="ProgramPath" value="" />
    <!--<add key="UpSysServiceUrl" value="https://orderck.new-silver.com/UskService.svc"/>
    <add key="ProductionFinishMethod" value="LOGOUSK"/>
    <add key="ProductionFinishMethodFormat" value="POST"/>
    <add key="ProductionFinishMethodParam1" value="UskDetail"/>
    <add key="LotInformationMethod" value="LOGOUSK"/>
    <add key="LotInformationMethodFormat" value="POST"/>
    <add key="LotInformationMethodParam1" value="LotDetail"/>
    <add key="ClientSettingsProvider.ServiceUri" value=""/>-->
  </appSettings>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.1" />
  </startup>
  <system.serviceModel>  
    <!--<diagnostics>
      <messageLogging logEntireMessage="true" logMalformedMessages="true" logMessagesAtServiceLevel="true" logMessagesAtTransportLevel="true" />
    </diagnostics>-->
    <client />   
    <services>  
      <service name="TrexEntegrasyon.WinSvc.TrexWebService" behaviorConfiguration="TrexWebServiceBehavior">
        <host>
          <baseAddresses>
            <add baseAddress="http://*:8640/TrexIntegrationService" />
          </baseAddresses>
        </host>
        <endpoint address="" binding="basicHttpBinding" contract="TrexEntegrasyon.WinSvc.ITrexWebService" />
        <endpoint address="REST" binding="webHttpBinding" contract="TrexEntegrasyon.WinSvc.ITrexWebService" behaviorConfiguration="web" />
      </service>
      <service name="SwaggerWcf.SwaggerWcfEndpoint">
        <host>
          <baseAddresses>
            <add baseAddress="http://*:8640" />
          </baseAddresses>
        </host>
        <endpoint address="api-docs" binding="webHttpBinding" contract="SwaggerWcf.ISwaggerWcfEndpoint" />
      </service>
    </services>
    <bindings>
      <!--<wsHttpBinding>
        <binding name="basicHttpBinding">
          <security mode="Message">
            <message clientCredentialType="UserName" />
          </security>
        </binding>
                <binding name="basicHttpBinding">
          <security mode="Message">
            <message clientCredentialType="UserName" />
          </security>
        </binding>
      </wsHttpBinding>-->
      <webHttpBinding>
        <binding maxBufferSize="2147483647" maxBufferPoolSize="2147483647" maxReceivedMessageSize="2147483647" />
      </webHttpBinding>
      <basicHttpBinding>
        <binding maxBufferSize="2147483647" maxBufferPoolSize="2147483647" maxReceivedMessageSize="2147483647" />
      </basicHttpBinding>
    </bindings>
    <behaviors>
      <serviceBehaviors>
        <behavior name="TrexWebServiceBehavior">
          <serviceMetadata httpGetEnabled="true" httpsGetEnabled="true" />
          <serviceDebug includeExceptionDetailInFaults="False" />

        </behavior>
      </serviceBehaviors>
      <endpointBehaviors>
        <behavior name="web">
          <webHttp defaultOutgoingResponseFormat="Json" />
        </behavior>
        
      </endpointBehaviors>
    </behaviors>
    <serviceHostingEnvironment aspNetCompatibilityEnabled="true" multipleSiteBindingsEnabled="true" />
  </system.serviceModel>
  <!--<system.diagnostics>
    <sources>
      <source name="System.ServiceModel" switchValue="Information, ActivityTracing" propagateActivity="true">
        <listeners>
          <add name="traceListener" type="System.Diagnostics.XmlWriterTraceListener" initializeData="Traces.svclog" />
        </listeners>
      </source>
    </sources>
  </system.diagnostics>-->
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <probing privatePath="Library" />
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Practices.EnterpriseLibrary.Validation" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Practices.EnterpriseLibrary.Common" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-13.0.0.0" newVersion="13.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Collections.Immutable" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-1.2.1.0" newVersion="1.2.1.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Diagnostics.DiagnosticSource" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.1.1" newVersion="4.0.1.1" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Http" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.2.7.0" newVersion="5.2.7.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Net.Http.Formatting" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.2.7.0" newVersion="5.2.7.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
  <applicationSettings>
    <TrexEntegrasyon.WinSvc.Properties.Settings>
      <setting name="TrexEntegrasyon_WinSvc_WebReference_SysmondApi" serializeAs="String">
        <value>http://api.sysmond.net/v2/index.php</value>
      </setting>
    </TrexEntegrasyon.WinSvc.Properties.Settings>
  </applicationSettings>
  <system.webServer>
    <modules runAllManagedModulesForAllRequests="true" />
    <!--
        To browse web app root directory during debugging, set the value below to true.
        Set to false before deployment to avoid disclosing web app folder information.
      -->
    <directoryBrowse enabled="true" />
  </system.webServer>
</configuration>
